#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Devel
%define	pnam	PPPort
Summary:	Devel::PPPort - Perl/Pollution/Portability
Summary(pl.UTF-8):	Devel:::PPPort - Perl/Zanieczyszczenie/Przenośność
Name:		perl-Devel-PPPort
Version:	3.36
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Devel/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e713c0b047949d1e1db5499af9f10b63
URL:		http://search.cpan.org/dist/Devel-PPPort/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl's API has changed over time, gaining new features, new functions,
increasing its flexibility, and reducing the impact on the C namespace
environment (reduced pollution). The header file written by this
module, typically ppport.h, attempts to bring some of the newer Perl
API features to older versions of Perl, so that you can worry less
about keeping track of old releases, but users can still reap the
benefit.

Devel::PPPort contains a single function, called WriteFile. Its
only purpose is to write the ppport.h C header file. This file
contains a series of macros and, if explicitly requested, functions
that allow XS modules to be built using older versions of Perl.
Currently, Perl versions from 5.003 to 5.10.0 are supported.

This module is used by h2xs to write the file ppport.h.

%description -l pl.UTF-8
Perlowe API zmieniało się w czasie, zyskując nowe możliwości, nowe
funkcje, zwiększając elastyczność i zmniejszając wpływ na środowisko
przestrzeni nazw C (mniejsze zanieczyszczenie). Plik nagłówkowy
zapisywany przez ten moduł, zwykle ppport.h, próbuje udostępnić
niektóre z nowych możliwości API Perla w starszych wersjach Perla, aby
mniej trzeba było martwić się o śledzenie starszych wersji.

Devel::PPPort zawiera jedną funkcję - WriteFile. Jej jedynym celem
jest zapis pliku nagłówkowego C ppport.h. Plik ten zawiera ciąg makr
i, jeśli tego zażądano, funkcje pozwalające na budowanie modułów XS
przy użyciu starszych wersji Perla. Aktualnie obsługiwane są wersje
Perla od 5.003 do 5.10.0.

Ten moduł jest używany przez h2xs do zapisu pliku ppport.h.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorarch}/Devel/PPPort.pm
%dir %{perl_vendorarch}/auto/Devel/PPPort
%attr(755,root,root) %{perl_vendorarch}/auto/Devel/PPPort/PPPort.so
%{_mandir}/man3/Devel::PPPort.3pm*
%changelog
* Thu Aug 30 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Devel-PPPort.git;a=log;h=master

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 2e2fad6
- rebuild with perl 5.28.0
- release 2 (by relup.sh)

* Fri Jul 07 2017 Jakub Bogusz <qboosh@pld-linux.org> 14d004c
- updated to 3.36

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> a397d72
- removed zero-sized .bs file

* Sun Jun 30 2013 Jakub Bogusz <qboosh@pld-linux.org> 3060b86
- cleanup

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> cffb255
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Wed Jan 11 2012 zbyniu <zbyniu@pld-linux.org> abbaec2
- up to 3.20

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ce32edd
- release 2

* Tue Jun 16 2009 amateja <amateja@pld-linux.org> 5c0125a
- updated to 3.19

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> ed5bcf0
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> fc4e2eb
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> c94e563
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Apr 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 64a401c
- pl

* Sun Apr 22 2007 radek <radek@pld-linux.org> efc8da2
- new

